[X11] Séparation client/serveur

Le
Jérémy JUST
Bonjour,

J'ai un serveur sous Gentoo, sur lequel je n'ai aucune raison de
lancer un gestionnaire de fenêtres. Donc je n'ai pas besoin de serveur
X.
Par contre, quand je m'y connecte par SSH, je voudrais pouvoir lancer
des applications graphiques (xterm, emacs en mode graphique).

Est-il possible de n'installer que les bibliothèques X destinées aux
applications clientes?
Cela vaut-il le coup d'attendre que « X modulaire » soit stable (il
ne l'est pas encore sur ma plate-forme [PPC])?



FU2: fr.comp.os.linux.configuration

--
Jérémy JUST <jeremy_just@netcourrier.com>
  • Partager ce contenu :
Vos réponses
Trier par : date / pertinence
Sébastien Kirche
Le #1833843
Le 20 août 2006 à 21:26, Jérémy JUST vraute :

Par contre, quand je m'y connecte par SSH, je voudrais pouvoir lancer
des applications graphiques (xterm, emacs en mode graphique...).

Est-il possible de n'installer que les bibliothèques X destinées aux
applications clientes?


Bien sûr, c'est ce que je fais parfois sur ma passerelle sur laquelle il
n'y a pas de X.

C'est une Debian sur laquelle il me semble que j'ai le paquet
xfree86-common qui m'a installé les dépendances de libs X nécessaires.
D'ailleurs, je pourrais penser à passer sur xorg.

--
Sébastien Kirche

Nicolas George
Le #1833840
Sébastien Kirche wrote in message
C'est une Debian sur laquelle il me semble que j'ai le paquet
xfree86-common qui m'a installé les dépendances de libs X nécessaires.


Tu n'as pas du tout besoin de ça : les bibliothèques X11 sont indiquées dans
les dépendances des paquets qui en ont besoin, emacs ou xterm par exemple.

Sébastien Kirche
Le #1833838
Le 20 août 2006 à 23:19, Nicolas George s'est exprimé ainsi :

Tu n'as pas du tout besoin de ça : les bibliothèques X11 sont
indiquées dans les dépendances des paquets qui en ont besoin, emacs ou
xterm par exemple.


Alors ça doit être des restes et il faudra que je fasse du ménage.

Effectivement, un apt-cache depends emacs21 indique ce qui suit :
,----[ apt-cache depends emacs21 ]
| emacs21
| Dépend: emacs21-bin-common
| Dépend: libc6
| Dépend: libice6
| Dépend: libjpeg62
| Dépend: libncurses5
| Dépend: libpng12-0
| Dépend: libsm6
| Dépend: libtiff4
| Dépend: libungif4g
| Dépend: libx11-6
| Dépend: libxext6
| Dépend: libxmu6
| Dépend: libxpm4
| Dépend: libxt6
| Dépend: xaw3dg
| Dépend: zlib1g
| Est en conflit avec: emacs21-nox
| Est en conflit avec: <w3-el>
| Remplace: emacs21-nox
`----
Où l'on voit la libx11 entre autres dépendances.

J'avais essayé au tout début d'installer X11 en local sur le serveur
puis je l'ai viré, ainsi que gcc (dangereux sur une passerelle).
--
Sébastien Kirche

Jérémy JUST
Le #1833819
Le Sun, 20 Aug 2006 23:30:28 +0200,

Effectivement, un apt-cache depends emacs21 indique ce qui suit :
,----[ apt-cache depends emacs21 ]
| emacs21
| Dépend: emacs21-bin-common
| Dépend: libc6
| Dépend: libice6
| Dépend: libjpeg62
| Dépend: libncurses5
| Dépend: libpng12-0
| Dépend: libsm6
| Dépend: libtiff4
| Dépend: libungif4g
| Dépend: libx11-6
| Dépend: libxext6
| Dépend: libxmu6
| Dépend: libxpm4
| Dépend: libxt6
| Dépend: xaw3dg
| Dépend: zlib1g
| Est en conflit avec: emacs21-nox
| Est en conflit avec: <w3-el>
| Remplace: emacs21-nox
`----
Où l'on voit la libx11 entre autres dépendances.


C'est une telle sortie qui m'avait fait poser la question. Il y a
environ un mois, j'avais fait un « emerge --pretend xemacs », qui
m'avait sorti des dizaines de dépendances, dont l'essentiel de X11, twm
et je-ne-sais-plus-quoi.
Je viens de le retenter, et ça m'a l'air plus raisonnable.
Je ne sais pas si les paquets ont évolué entre temps, ou si c'est moi
qui avais fait une fausse manip.

Je viens d'installer « xterm » sans souci (et sans tout X). Noter que
pour que ça passe par SSH, il faut aussi installer « xauth », qui
n'est pas dans les dépendances.


Désolé du dérangement.

--
Jérémy JUST
Nicolas George
Le #1833817
Jérémy JUST wrote in message
Je viens d'installer « xterm » sans souci (et sans tout X). Noter que
pour que ça passe par SSH, il faut aussi installer « xauth », qui
n'est pas dans les dépendances.


On peut faire sans, mais c'est plus fastidieux.

Poster une réponse
Anonyme